using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;
public partial class usercontrol_book : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            bindload();
        }
    }
    protected void bindload()
    {
        int id = Convert.ToInt32(Request.QueryString["id"]);
        string OleDb = "select * from book_info where typeID="+id;
        DataSet ds = DB.getdata(OleDb);
        this.cPage.DataSource = ds.Tables[0].DefaultView;
        this.cPage.BindToControl = dlBook;
        this.dlBook.DataSource = cPage.DataSourcePaged;
    }

    
}
